
QGIS Application - Bug report #15586

qt5/python3: plugin manager fails to install plugins

2016-09-20 02:57 AM - Mathieu Pellerin - nIRV

Status: Closed

Priority: Severe/Regression

Assignee: Borys Jurgiel

Category: Plugin Manager

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 23510

Description

Under qt5/python3, the plugin manager fails to install plugins. The following error pops up:

ImportError: No module named 'quickexport' 

Traceback (most recent call last):

  File "/home/webmaster/apps/share/qgis/python/qgis/utils.py", line 333, in startPlugin

    plugins[packageName] = package.classFactory(iface)

  File "/home/webmaster/.qgis-dev//python/plugins/QuickExport/__init__.py", line 26, in classFactory

    from quickexport import QuickExport

  File "/home/webmaster/apps/share/qgis/python/qgis/utils.py", line 642, in _import

    mod = _builtin_import(name, globals, locals, fromlist, level)

ImportError: No module named 'quickexport'

Python version: 3.5.2+ (default, Sep 17 2016, 12:08:10) [GCC 6.2.0 20160914] 

QGIS version: 2.99.0-Master Master, f784e1e 

Python Path:

/home/webmaster/apps/share/qgis/python/plugins/processing

/home/webmaster/apps/share/qgis/python

/home/webmaster/.qgis-dev//python

/home/webmaster/.qgis-dev//python/plugins

/home/webmaster/apps/share/qgis/python/plugins

/usr/lib/python35.zip

/usr/lib/python3.5

/usr/lib/python3.5/plat-x86_64-linux-gnu

/usr/lib/python3.5/lib-dynload

/usr/local/lib/python3.5/dist-packages

/usr/lib/python3/dist-packages

/home/webmaster/.qgis-dev//python

One thing jumps at me straight away: the python paths within my .qgis-dev directory are wrong (double slashes, for e.g.

/home/webmaster/.qgis-dev//python/plugins)

Steps to reproduce

    1. Launch QGIS (built against Qt5/python3)

    2. Open the plugin manager

    3. Select a plugin from the QGIS repository that isn't installed on your computer, and click on the [ Install plugin ] button

    4. Take note of the failure
History

#1 - 2016-09-22 12:48 AM - Mathieu Pellerin - nIRV

- Resolution set to fixed/implemented

- % Done changed from 0 to 100

- Status changed from Open to Closed

Fixed by commit:e7c9400b06b0.
